#include <iostream>
int main() {
  std::ios::sync_with_stdio(0);
  std::cin.tie(0);
  freopen("traverse.in", "r", stdin);
  freopen("traverse.out", "w", stdout);
  int t; std::cin >> t >> t;
  while (t--) std::cout << "0\n";
}
